#
# spec file for package python-Kook
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-Kook
Version:        0.7.2
Release:        1.1
License:        MIT
Summary:        Task Automation Tool similar to Make, Rake, Ant, or Cook
Url:            http://www.kuwata-lab.com/kook/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/K/Kook/Kook-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
pyKook is a very useful tool to control your task such as compile, install or clean.
pyKook is similar to Make, Rake, Ant, or Cook.
Kookbook.py, which is a task definition file for pyKook, is written in Python.



%prep
%setup -q -n Kook-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt
%{_bindir}/kk
%{_bindir}/pykook
%{python_sitelib}/*


%changelog
* Sun Jan 12 2014 toms@opensuse.org
- Initial release 0.7.2
